Skip to content

Get transaction

Request

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
transaction_idstringrequired

The ID of the transaction.

GET
/v2/businesses/{client_id}/transactions/{transaction_id}
curl -i -X GET \
  'https://public.letsweel.com/v2/businesses/123/transactions/{transaction_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
idstring

The ID of the transaction.

Example:"e33b7c61-5124-4ba0-b238-e4c573133715"
cleared_datestring or null, (date-time)

The date the transaction was cleared in UTC.

Example:"2024-01-01T00:00:00Z"
auth_datestring, (date-time)

The date the transaction was authorised in UTC.

Example:"2024-01-01T00:00:00Z"
merchant_namestring

The name of the merchant.

Example:"Bunnings Warehouse"
attendeesArray of strings

The names of the attendees of the transaction.

budgetobject(TransactionBudget)

The budget associated with the transaction.

currencystring

The currency of the transaction.

Example:"AUD"
custom_fieldsArray of objects(CustomFieldValue)
fx_amountnumber

The foreign currency amount of the transaction.

Example:100
amountnumber

The amount of the transaction in AUD (positive for credits, negative for debits).

Example:-100
gstnumber

The GST amount of the transaction.

Example:9.09
expense_statusstring

The expense completion status of the transaction.

Enum:"COMPLETE""INCOMPLETE_EXPENSE"
Example:"COMPLETE"
statusstring(TransactionStatus)

The status of the transaction.

Enum:"AUTHED""CLEARED""REFUNDED""DECLINED"
Example:"CLEARED"
transaction_typestring

The type of transaction.

Enum:"CARD_TRANSACTION""CHARGE""DEPOSIT_DIRECT_CREDIT""DEPOSIT_DIRECT_DEBIT""BILL""REIMBURSEMENT""EXTERNAL_TRANSFER""MANUAL_TRANSFER""CREDIT"
Example:"CARD_TRANSACTION"
userobject or null(SubUser)

The user who made the transaction.

line_itemsArray of objects(LineItem)

The line items of the transaction.

receipt_urlsArray of strings

The URLs of the receipts for the transaction. These are temporary, pre-signed links that expire 8 hours after the response is generated. Download the files before then, or request the transaction again to obtain fresh URLs. Do not store these URLs, as they will stop working once they expire.

Example:
[ "https://divipay-user-production.s3.amazonaws.com/123/68eae8f6-cb90-4403-ba76-a2cc12c3979j.png" ]
createdstring, (date-time)

The date and time when the transaction was created in UTC.

Example:"2024-01-01T00:00:00Z"
updatedstring, (date-time)

The date and time when the transaction was last updated in UTC.

Example:"2024-01-01T00:00:00Z"
Response
{ "id": "e33b7c61-5124-4ba0-b238-e4c573133715", "cleared_date": "2024-01-01T00:00:00Z", "auth_date": "2024-01-01T00:00:00Z", "merchant_name": "Bunnings Warehouse", "attendees": [ "Jane Doe" ], "budget": { "id": "e33b7c61-5124-4ba0-b238-e4c573133715", "name": "Sales Team", "budget_type": "BUDGET" }, "currency": "AUD", "custom_fields": [ {} ], "fx_amount": 100, "amount": -100, "gst": 9.09, "expense_status": "COMPLETE", "status": "CLEARED", "transaction_type": "CARD_TRANSACTION", "user": { "id": 123, "first_name": "John", "last_name": "Doe", "name": "John Doe" }, "line_items": [ {} ], "receipt_urls": [ "https://divipay-user-production.s3.amazonaws.com/123/68eae8f6-cb90-4403-ba76-a2cc12c3979j.png" ], "created": "2024-01-01T00:00:00Z", "updated": "2024-01-01T00:00:00Z" }